#!/usr/bin/env python3
#-*- coding: utf-8 -*-

import sys
import platform

from selenium import webdriver


def get_title(url):
    chrome_options = webdriver.ChromeOptions()
    chrome_options.set_headless(True)
    browser = webdriver.Chrome(chrome_options=chrome_options)
    browser.get(url)
    print(browser.title)
    browser.quit()

def main(argv):
    if platform.system() == "Linux":
        from pyvirtualdisplay import Display
        Display(visible=0, size=(1920, 1080)).start()

    n = int(argv[2]) if len(argv) > 2 else 1

    for i in range(n):
        get_title(argv[1])

if __name__ == '__main__':
    try:
        main(sys.argv)
    except KeyboardInterrupt:
        print ("Crtl+C Pressed. Shutting down.")

# vim: tabstop=4 expandtab shiftwidth=4 softtabstop=4

